Package org.bukkit.event.player

# Class PlayerLevelChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerLevelChangeEvent

public class PlayerLevelChangeEvent extends PlayerEvent
Called when a players level changes

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLevelChangeEvent(@NotNull Player player, int oldLevel, int newLevel)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getNewLevel()`
Gets the new level of the player
`int`
`getOldLevel()`
Gets the old level of the player

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLevelChangeEvent

public PlayerLevelChangeEvent(@NotNull @NotNull Player player, int oldLevel, int newLevel)

## Method Details

### getOldLevel

public int getOldLevel()
Gets the old level of the player

Returns:
  The old level of the player

### getNewLevel

public int getNewLevel()
Gets the new level of the player

Returns:
  The new (current) level of the player

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()